#!/bin/sh
# $XConsortium: xinitrc.cpp,v 1.4 91/08/22 11:41:34 rws Exp $
export OPENWINHOME=/usr/openwin
userresources=$HOME/.Xresources
usermodmap=$HOME/.Xmodmap
sysresources=/etc/X11/Xresources
sysmodmap=/etc/X11/Xmodmap
xviewresources=$HOME/.Xdefaults
sysxviewresources=/usr/openwin/lib/Xdefaults

# Display startup logo
if [ -x $OPENWINHOME/bin/xcenter -a -f $OPENWINHOME/etc/lxxview.xbm ]; then
    $OPENWINHOME/bin/xcenter -bitcenter $OPENWINHOME/etc/lxxview.xbm && sleep 2
fi

# merge in defaults and keymaps

if [ -f $sysresources ]; then
    echo     xrdb -merge $sysresources
    xrdb -merge $sysresources
fi

if [ -f $sysmodmap ]; then
    echo xmodmap $sysmodmap
    xmodmap $sysmodmap
fi

if [ -f $userresources ]; then
    echo xrdb -merge $userresources
    xrdb -merge $userresources
fi

if [ -f $xviewresources ]; then
    xrdb -merge $xviewresources
fi
if [ -f $sysxviewresources ]; then
    xrdb -merge $sysxviewresources
fi

if [ -f $usermodmap ]; then
    echo xmodmap $usermodmap
    xmodmap $usermodmap
fi

# start some nice programs
if [ -x $HOME/.openwin-init ]; then
	$HOME/.openwin-init
else
	if [ -x $OPENWINHOME/lib/openwin-init ]; then
		$OPENWINHOME/lib/openwin-init
	fi
fi

if [ ! -z "$WINDOWMANAGER" ]; then
	xsetroot -def
	exec $WINDOWMANAGER
else
	exec olvwm
fi
